Skip to main content
GET
Get Locale

Authorizations

x-api-key
string
header
required

API key authentication. Accepts either:

  • App API key (e.g. sk_eczMHVBY9fV6GYFhvs53qcnxq7yptlXL3ABKOZtn6dQ)
  • Site API key (UUID format, e.g. 550e8400-e29b-41d4-a716-446655440000)

Path Parameters

localeIdOrCode
string
required

The locale ID or locale code.

Query Parameters

siteId
string<uuid>

The site ID required when using a locale code instead of a locale ID.

Response

object
enum<string>
required
Available options:
locale
Example:

"locale"

id
string<uuid> | null
required

The ID of the locale you are getting.

locale
string
required

We support the subset of locales specified with ISO 3166 that are composed of language and optionally a region.

Examples:

"en"

"es"

"fr-FR"

"ar-EG"

"ja-JP"

domain
string<uri> | null
required

The domain URL for domain-based localization.

Example:

"https://hearthfurniture.com.mx"

isDefault
boolean
required

The flag that indicates whether this locale is the default locale for the site.